Ask Your Question
0

Broken dependencies with rpmfusion-free-rawhide

asked 2017-03-04 10:21:07 -0500

ggossamer gravatar image

Hi, I've been having problems with vlc streaming video from my HDHomeRun tuner for a while, so thought I would try and install the latest version of vlc-core on my fedora25 x86_64 desktop install. There appears to be broken dependencies, but it doesn't explain what they are or what I need to do to resolve them.

I'm seeing the following dependency errors:

    Skipping packages with broken dependencies:
 ffmpeg                          x86_64    3.2.4-1.fc26               rpmfusion-free-rawhide       1.5 M
 ffmpeg-libs                     x86_64    3.2.4-1.fc26               rpmfusion-free-rawhide       6.2 M
 live555                         x86_64    2017.01.26-1.fc26          rpmfusion-free-rawhide       360 k
 rpmfusion-free-release          noarch    26-0.4                     rpmfusion-free-rawhide        19 k
 rpmfusion-nonfree-release       noarch    26-0.4                     rpmfusion-nonfree-rawhide     19 k
 vlc                             x86_64    3.0.0-0.18.fc26            rpmfusion-free-rawhide       1.9 M
 vlc-core                        x86_64    3.0.0-0.18.fc26            rpmfusion-free-rawhide       7.9 M
 x265-libs                       x86_64    2.2-1.fc26                 rpmfusion-free-rawhide       586 k

I have the following repos configured:

# dnf repolist
Last metadata expiration check: 0:23:26 ago on Sat Mar  4 10:52:45 2017.
repo id                            repo name                                                       status
*fedora                            Fedora 25 - x86_64                                              51,669
fedora-cdrtools                    negativo17 - cdrtools                                                6
google-chrome                      google-chrome - \x86_64                                              3
google-chrome-beta                 google-chrome-beta                                                   3
*rpmfusion-free                    RPM Fusion for Fedora 25 - Free                                    541
*rpmfusion-free-rawhide            RPM Fusion for Fedora Rawhide - Free                               549
*rpmfusion-free-updates            RPM Fusion for Fedora 25 - Free - Updates                          170
*rpmfusion-free-updates-testing    RPM Fusion for Fedora 25 - Free - Test Updates                       8
*rpmfusion-nonfree                 RPM Fusion for Fedora 25 - Nonfree                                 169
*rpmfusion-nonfree-rawhide         RPM Fusion for Fedora Rawhide - Nonfree                            201
*rpmfusion-nonfree-updates         RPM Fusion for Fedora 25 - Nonfree - Updates                        39
*rpmfusion-nonfree-updates-testing RPM Fusion for Fedora 25 - Nonfree - Test Updates                   14
*updates                           Fedora 25 - x86_64 - Updates                                    17,094
*updates-testing                   Fedora 25 - x86_64 - Test Updates                                1,788
virtio-win-stable                  virtio-win builds roughly matching what was shipped in latest R      4

What is the procedure to install vlc from rpmfusion? Here is the output from a "dnf update". It knows there's a vlc-core update available, but it is skipped.

Skipping packages with broken dependencies:
 ffmpeg                          x86_64    3.2.4-1.fc26               rpmfusion-free-rawhide       1.5 M
 ffmpeg-libs                     x86_64    3.2.4-1.fc26               rpmfusion-free-rawhide       6.2 M
 live555                         x86_64    2017.01.26-1.fc26          rpmfusion-free-rawhide       360 k
 rpmfusion-free-release          noarch    26-0.4                     rpmfusion-free-rawhide        19 k
 rpmfusion-nonfree-release       noarch    26-0.4                     rpmfusion-nonfree-rawhide     19 k
 vlc                             x86_64    3.0.0-0.18.fc26            rpmfusion-free-rawhide       1.9 M
 vlc-core                        x86_64    3.0.0-0.18.fc26            rpmfusion-free-rawhide       7.9 M
 x265-libs                       x86_64    2.2-1.fc26                 rpmfusion-free-rawhide       586 k
edit retag flag offensive close merge delete

Comments

1

Rawhide is a developer branch for next release of Fedora (26). So, if you want still use Fedora 25 (stable branch), disable as say aeperezt Rawhide repositorios. If not, you have to set up Rawhide repositorios in your system.

To enable it, you have to disable modify enabled=1 to enabled=0 in /etc/yum.repos.d/fedora.repo and /etc/yum.repos.d/rpmfusion-{free,nonfree}.repo and perform upgrade process.

Rawhide is considered a development version, so is not for production purposes.

Alvaro Castillo gravatar imageAlvaro Castillo ( 2017-03-05 01:28:25 -0500 )edit

I thought it would be possible to pull in the most updated vlc-core and associated packages from rawhide without having to upgrade all packages.

Is it possible the latest versions of vlc-core and associated packages have been backported to work with fedora25?

ggossamer gravatar imageggossamer ( 2017-03-05 09:27:54 -0500 )edit

1 Answer

Sort by ยป oldest newest most voted
0

answered 2017-03-04 12:31:09 -0500

aeperezt gravatar image

Disable rpmfusion rawhide repos, those are for testing so it could have broken dependency.

edit flag offensive delete link more

Comments

I've done that, and dnf then just reports "nothing to do." so I guess the current version from rpmfusion-free-updates is the latest and has the same problems as the 3.0 available with fedora25.

ggossamer gravatar imageggossamer ( 2017-03-05 09:33:51 -0500 )edit

Question Tools

1 follower

Stats

Asked: 2017-03-04 10:21:07 -0500

Seen: 367 times

Last updated: Mar 04 '17